%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/wI2L/jettison
Version:                0.7.4

%gometa

%global common_description %{expand:
Highly configurable, fast JSON encoder for Go.}

%global golicenses      LICENSE LICENSE.golang
%global godocs          CHANGELOG.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Highly configurable, fast JSON encoder for Go

License:        BSD-3-Clause AND MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.4-1
- initial build
